From: Jameson Graef Rollins <jrollins@finestructure.net>
Date: Tue, 30 Jun 2009 19:11:57 +0000 (-0400)
Subject: some small improvements to test/basic, including checking for sshd
X-Git-Tag: monkeysphere_0.25~26^2~1
X-Git-Url: https://codewiz.org/gitweb?a=commitdiff_plain;h=835a7d2e53e2b1c1a971fad5fa5bc9b82ee1ce41;p=monkeysphere.git

some small improvements to test/basic, including checking for sshd
---

diff --git a/tests/basic b/tests/basic
index f38c9ac..5907154 100755
--- a/tests/basic
+++ b/tests/basic
@@ -1,6 +1,8 @@
 #!/usr/bin/env bash
 
 # Tests to ensure that the monkeysphere is working
+#
+# unset MONKEYSPHERE_TEST_NO_EXAMINE to examine
 
 # Authors: 
 #   Daniel Kahn Gillmor <dkg@fifthhorseman.net>
@@ -26,13 +28,13 @@ source "$TESTDIR"/common
 
 ## make sure that the right tools are installed to run the test.  the
 ## test has *more* requirements than plain ol' monkeysphere:
+[ -f /usr/sbin/sshd ] || { echo "You must have sshd installed to run this test." ; exit 1; }
 which socat >/dev/null || { echo "You must have socat installed to run this test." ; exit 1; }
 
 perl -MCrypt::OpenSSL::RSA -e 1 2>/dev/null || { echo "You must have the perl module Crypt::OpenSSL::RSA installed to run this test.  
 On debian-derived systems, you can set this up with:
   apt-get install libcrypt-openssl-rsa-perl" ; exit 1; }
 
-
 perl -MDigest::SHA1 -e 1 2>/dev/null || { echo "You must have the perl module Digest::SHA1 installed to run this test.  
 On debian-derived systems, you can set this up with:
   apt-get install libdigest-sha1-perl" ; exit 1; }
@@ -77,12 +79,11 @@ ssh_test() {
     kill "$SSHD_PID"
     SSHD_PID=
 
-    echo "##### return $RETURN"
     if [ "$RETURN" = "$CODE" ] ; then
-	echo "##### ssh connection test returned as desired"
+	echo "##### ssh connection test PASSED. returned: $RETURN"
 	return 0
     else
-	echo "##### ssh connection test failed.  expected return code $CODE"
+	echo "##### ssh connection test FAILED. returned: $RETURN, expected: $CODE"
 	return 1
     fi
 }
diff --git a/tests/common b/tests/common
index a000c56..6d732c8 100644
--- a/tests/common
+++ b/tests/common
@@ -4,7 +4,7 @@ failed_cleanup() {
     # FIXME: can we be more verbose here?
     echo 'FAILED!'
     if [ -z "$MONKEYSPHERE_TEST_NO_EXAMINE" ] ; then
-	read -p "press enter to cleanup and remove tmp (or type bash for a subshell to examine): " XX
+	read -p "press enter to cleanup and remove tmp (or type 'bash' for a subshell to examine): " XX
 	if [ "$XX" = bash ] ; then
 	    echo "Entering subshell..."
 	    cd "$TEMPDIR"